#
# spec file for package 
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           spek
Version:        0.8.2
Release:        1.6
License:        GPL-3.0
Summary:        Acoustic Spectrum Analyser
Url:            http://spek.cc/
Group:          Productivity/Multimedia/Sound/Utilities
Source:         %{name}-%{version}.tar.xz
BuildRequires:  gcc-c++
BuildRequires:  intltool
BuildRequires:  pkg-config
BuildRequires:  libffmpeg-devel
BuildRequires:  wxWidgets-devel
Suggests:       %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
helps to analyse your audio files by showing their spectrogram.


%lang_package
%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install
%find_lang %name %{?no_lang_C}

%files
%defattr(-,root,root)
%doc README.md LICENCE.md
%{_bindir}/spek
%{_datadir}/applications/spek.desktop
%{_datadir}/icons/hicolor/16x16/apps/spek.png
%{_datadir}/icons/hicolor/22x22/apps/spek.png
%{_datadir}/icons/hicolor/24x24/apps/spek.png
%{_datadir}/icons/hicolor/32x32/apps/spek.png
%{_datadir}/icons/hicolor/48x48/apps/spek.png
%{_datadir}/icons/hicolor/scalable/apps/spek.svg
%{_mandir}/man1/spek.1.gz

%files lang -f %{name}.lang

%changelog
* Tue Jul 30 2013 p.seiler@linuxmail.org
- initial commit
